import { axisLeft, axisBottom } from 'd3';

export const axis = (
  selc,
  { xScale, yScale, labelOffSetY = 35, labelOffSetX = 20 },
) => {
  const x = axisLeft(yScale);
  console.log(selc);
  selc
    .selectAll('g.x-axis')
    .data([null])
    .join('g')
    .attr('class', 'x-axis')
    .attr('transform', `translate(${xScale.range()[0]},0)`)
    .style('color', '#ffffff')
    .call(x);

  const y = axisBottom(xScale);

  selc
    .selectAll('g.y-axis')
    .data([null])
    .join('g')
    .attr('class', 'y-axis')
    .attr('transform', `translate(0,${yScale.range()[0]})`)
    .style('color', '#ffffff')
    .call(y);

  selc
    .selectAll('text.y-axis')
    .data([null])
    .join('text')
    .text('petal-length')
    .attr('class', 'y-axis')
    .attr('transform', `rotate(-90)`)
    .attr('font-family', 'sans')
    .attr('text-anchor', 'middle')
    .attr('x', -(yScale.range()[0] + yScale.range()[1]) / 2)
    .attr('y', xScale.range()[0] - labelOffSetY)
    .style('fill', '#ffffff');
  selc
    .selectAll('text.x-axis')
    .data([null])
    .join('text')
    .text('petal-width')
    .attr('class', 'x-axis')
    .attr('font-family', 'sans')
    .attr('text-anchor', 'middle')
    .attr('x', (xScale.range()[0] + xScale.range()[1]) / 2)
    .attr('y', yScale.range()[0] + labelOffSetX)
    .attr('alignment-baseline', 'hanging')
    .style('fill', '#ffffff');
};
