import { csvParse, select } from 'd3';
import { scatterPlot } from './scatterPlot.js';
export const viz = (container, { state, setState }) => {
  const { data } = state;
  if (data === undefined) {
    setState((state) => ({
      ...state,
      data: 'LOADING',
    }));
    fetch('data.csv')
      .then((response) => response.text())
      .then((csvString) => {
        const data = csvParse(csvString);

        for (const d of data) {
          d.petal_length = +d.petal_length;
          d.petal_width = +d.petal_width;
          d.sepal_length = +d.sepal_length;
          d.sepal_width = +d.sepal_width;
        }

        setState((state) => ({
          ...state,
          data,
        }));
      });
  }

  if (data !== undefined && data !== 'LOADING') {
    scatterPlot(container, data);
  }
};
